pandoc-3.10: Conversion between markup formats

Copyright | Copyright (C) 2010-2012 Paul Rivier 2010-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | Paul Rivier <paul*rivier#demotera*com>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.Textile

Description

Conversion from Textile to `Pandoc` document, based on the spec available at https://www.promptworks.com/textile/.

Implemented and parsed: - Paragraphs - Code blocks - Lists - blockquote - Inlines : strong, emph, cite, code, deleted, superscript, subscript, links - footnotes - HTML-specific and CSS-specific attributes on headers

Left to be implemented: - dimension sign - all caps - continued blocks (ex bq..)

TODO : refactor common patterns across readers : - more ...

Synopsis

- readTextile :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc

# Documentation

readTextile Source #

Arguments

:: (PandocMonad m, ToSources a) |
=> ReaderOptions | Reader options
-> a |
-> m Pandoc |

Parse a Textile text and return a Pandoc document.